
Redmine - Patch #1791

Raise issue-categories name length-limit from 30 to 40 characters

2008-08-14 19:23 - Mischa The Evil

Status: Closed Start date: 2008-08-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version:    

Description

I just needed this modification due to projects structure in Redmine and thought it might be usefull for some other users.

Note that this patch raises the maximum-length of a issue-category name from 30 characters to 40 characters. If the limit of 40

characters isn't sufficient modify the patch by replacing the instances of 40 to the desired maximum-length.

Warning: this patch can malform/break different views depending on your setup. I guess that is the main reason why issue-category

names are limited to 30 characters by default.

Related issues:

Related to Redmine - Feature #3573: longer issue category names Closed 2009-07-01

Related to Redmine - Defect #3392: Issue categories length and utf-8 problem Closed 2009-05-20

Related to Redmine - Defect #5513: The length of Name filed in add new catego... New 2010-05-12

Related to Redmine - Defect #5154: Migrate from Trac with postgresql and more. Closed 2010-03-23

Related to Redmine - Feature #9929: Category names could be longer Closed

Related to Redmine - Feature #14688: Increase category names from 30 to 60 ch... Closed

Has duplicate Redmine - Feature #7298: Remove length limits on category name Closed 2011-01-11

Is duplicate of Redmine - Feature #20991: Raise maximum length of category na... Closed

History

#1 - 2015-03-30 14:09 - Go MAEDA

- Related to Feature #9929: Category names could be longer added

#2 - 2015-03-30 14:13 - Go MAEDA

- Related to Feature #14688: Increase category names from 30 to 60 characters added

#3 - 2016-01-11 06:35 - Go MAEDA

- Status changed from New to Closed

Length of category name is changed to 60 by #20991 (Redmine 3.2.0).

#4 - 2016-01-11 06:35 - Go MAEDA

- Is duplicate of Feature #20991: Raise maximum length of category name to 60 added
